package com.alibaba.druid.sql.dialect.ads.parser;

import com.alibaba.druid.sql.parser.SQLExprParser;
import com.alibaba.druid.sql.parser.SQLSelectListCache;
import com.alibaba.druid.sql.parser.SQLSelectParser;

public class AdsSelectParser extends SQLSelectParser {
   public AdsSelectParser(SQLExprParser exprParser) {
      super(exprParser);
   }

   public AdsSelectParser(SQLExprParser exprParser, SQLSelectListCache selectListCache) {
      super(exprParser, selectListCache);
   }

   public AdsSelectParser(String sql) {
      this((SQLExprParser)(new AdsExprParser(sql)));
   }

   protected SQLExprParser createExprParser() {
      return new AdsExprParser(this.lexer);
   }
}
